{#
/**
 * @file
 * Theme override to display a node.
 *
 * Available variables:
 * - node: The node entity with limited access to object properties and methods.
     Only "getter" methods (method names starting with "get", "has", or "is")
     and a few common methods such as "id" and "label" are available. Calling
     other methods (such as node.delete) will result in an exception.
 * - label: The title of the node.
 * - content: All node items. Use {{ content }} to print them all,
 *   or print a subset such as {{ content.field_example }}. Use
 *   {{ content|without('field_example') }} to temporarily suppress the printing
 *   of a given child element.
 * - author_picture: The node author user entity, rendered using the "compact"
 *   view mode.
 * - metadata: Metadata for this node.
 * - date: 24 Agustus 2020
 * - author_name: Aditya Dewantara
 * - url: /reward/%
 * - display_submitted: Whether submission information should be displayed.
 * - attributes: HTML attributes for the containing element.
 *   The attributes.class element may contain one or more of the following
 *   classes:
 *   - node: The current template type (also known as a "theming hook").
 *   - node--type-[type]: The current node type. For example, if the node is an
 *     "Article" it would result in "node--type-article". Note that the machine
 *     name will often be in a short form of the human readable label.
 *   - node--view-mode-[view_mode]: The View Mode of the node; for example, a
 *     teaser would result in: "node--view-mode-teaser", and
 *     full: "node--view-mode-full".
 *   The following are controlled through the node publishing options.
 *   - node--promoted: Appears on nodes promoted to the front page.
 *   - node--sticky: Appears on nodes ordered above other non-sticky nodes in
 *     teaser listings.
 *   - node--unpublished: Appears on unpublished nodes visible only to site
 *     admins.
 * - title_attributes: Same as attributes, except applied to the main title
 *   tag that appears in the template.
 * - content_attributes: Same as attributes, except applied to the main
 *   content tag that appears in the template.
 * - author_attributes: Same as attributes, except applied to the author of
 *   the node tag that appears in the template.
 * - title_prefix: Additional output populated by modules, intended to be
 *   displayed in front of the main title tag that appears in the template.
 * - title_suffix: Additional output populated by modules, intended to be
 *   displayed after the main title tag that appears in the template.
 * - view_mode: View mode; for example, "teaser" or "full".
 * - teaser: Flag for the teaser state. Will be true if view_mode is 'teaser'.
 * - page: Flag for the full page state. Will be true if view_mode is 'full'.
 * - readmore: Flag for more state. Will be true if the teaser content of the
 *   node cannot hold the main body content.
 * - logged_in: Flag for authenticated user status. Will be true when the
 *   current user is a logged-in member.
 * - is_admin: Flag for admin user status. Will be true when the current user
 *   is an administrator.
 *
 * @see template_preprocess_node()
 */
#}
{% set title = 'Greda - Pinball Astronaut' %}
{% set kode = 'KODE-001' %}
{% set body = 'Lorem ipsum dolor sit amet consectetur, adipisicing elit. Placeat eius, quas facere tenetur officia velit optio eveniet. Nulla eligendi in minima sapiente velit sequi ut laborum iusto unde. In, ipsa!' %}
{% set poin = '200' %}
{% set image = 'themes/growhappytheme/assets/images/redeem-item.jpg' %}
<div class="bg-reward mb-lg-5 pt-5">
    <div class="container px-lg-5 pt-5">
        <div class="d-flex flex-column flex-lg-row flex-column-reverse overflow-hidden mx-lg-5">
            <div class="p-lg-5">
                <form action="{{ url('<front>') }}club-redeem" method="GET">
                    <h4 class="mb-2" id="reward_code">{{ reward.items[0].code }}</h4>
                    <h3 class="mb-4 d-none">{{ reward.name }}</h3>
                    <input type="hidden" name="s" value="{{ reward.slug }}">
                    <select class="h3 form-select icon-dropdown w-100 rounded-lg border-0 text-white font-weight-bold select-location pr-5" id="reward_item_id" name="i">
                        {% for item in reward.items %}
                            <option value="{{ item.id }}" >{{ item.name }}</option>
                        {% endfor %}
                    </select>
                    <p>Happy Points yang Ditukar</p>
                    <h3 class="rp text-blue mb-4" id="reward_point">{{ reward.items[0].point }}</h3>
                    <button type="submit" class="btn btn-lg mb-5 px-5 text-uppercase">Tukar Happy Points</button>
                </form>
            </div>
            <div class="ml-lg-5 mb-5 mb-lg-0 flex-grow-1 d-flex align-items-center position-relative">
                {# <div class="btn-group position-absolute">
                    <button type="button" class="btn rounded-circle btn-primary" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" data-offset="0,10">
                        <img width="24" src="{{ url('<front>') }}themes/growhappytheme/assets/images/icon-dropdown-white.png" alt="v">
                    </button>
                    <div class="dropdown-menu dropdown-menu-right rounded-lg rounded-top-0 border border-primary overflow-hidden shadow-lg">
                        <button class="dropdown-item text-primary" type="button">LTI-001</button>
                        <button class="dropdown-item text-primary" type="button">LTI-002</button>
                        <button class="dropdown-item text-primary" type="button">LTI-002</button>
                    </div>
                </div> #}
                <img height="400" width="400" class="img-fluid d-block m-auto" src="{{reward.image}}" alt="Reward Image">
            </div>
        </div>
    </div>
</div>
<div class="container px-lg-5 bg-footer-global">
    <div class="row">
        {# <div class="col-lg-5 pr-lg-5 border-right entry">
            <h3 class="text-blue">Tentang Produk</h3>
            <p>Scelerisque varius velit cursus sed nam scelerisque laoreet. Rhoncus, pharetra nulla at tincidunt dolor amet. Odio rhoncus eros arcu amet, magna. Aliquam fames dolor, magna massa pharetra. Amet, sem tincidunt venenatis, nulla tristique eget. Quisque ornare sem ultrices fermentum, sit id morbi leo.</p>
            <p><img class="mw-100" src="{{ url('<front>') }}themes/growhappytheme/assets/images/ingredients.png" height="104" width="350" alt=""></p>
        </div> #}
        <div class="col-lg-5 pr-lg-5 border-right entry">
            <h3 class="text-blue">Tentang Produk</h3>
            {{ reward.description|raw }}
        </div>
        <div class="col pl-lg-5 entry">
            {{ reward.tnc_web|raw }}
        </div>
    </div>
    <div class="row mt-5">
        <div class="col-12">
            <h2 class="mt-5 text-primary">
                Khusus untuk Happy Parents
            </h2>
            <div class="slider-card mb-4 position-relative">
                <div class="swiper-container swiper-rewards nav">
                    <div class="swiper-wrapper">
                        {% include directory ~ '/templates/includes/_rewardfront.html.twig' %}
                    </div>
                </div>
                <div class="swiper-pagination pagination-light reward"></div>
                <div class="swiper-button-prev button-prev-light reward"></div>
                <div class="swiper-button-next button-next-light reward"></div>
            </div>
        </div>
    </div>
</div>
<!-- Modal Redeem -->
<div class="modal fade" id="redeemModal" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="redeemModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content overflow-hidden">
            <div class="modal-body bg-primary text-white text-center p-lg-4">
                <h3>Apakah Happy Parents yakin untuk menukarkan <span class="text-blue">{{reward.items[0].point}} Happy Points</span> ?</h3>
                <p>Dengan klik tombol YA, Happy Parents secara langsung telah menyetujui Syarat &amp; Ketentuan yang berlaku.</p>
                <div class="d-flex justify-content-between">
                    <button class="btn btn-block bg-white text-blue rounded-lg px-3 mx-5 my-3" data-dismiss="modal" aria-label="Close">Kembali</button>
                    <button class="btn btn-block btn-blue rounded-lg px-3 mx-5 my-3" data-dismiss="modal" data-toggle="modal" data-target="#redeemModalSuccess">Ya</button>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- Modal Redeem Successs -->
<div class="modal fade" id="redeemModalSuccess" data-backdrop="static" data-keyboard="false" tabindex="-1" aria-labelledby="redeemModalSuccessLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content overflow-hidden">
            <div class="modal-body bg-primary text-white text-center p-lg-4">
                <button type="button" class="close float-right text-white" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <img class="m-auto pb-4" src="{{ url('<front>') }}themes/growhappytheme/assets/images/icon-baloon.svg" alt="">
                <h2>Penukaran Happy Points Berhasil!</h2>
                <p>Selamat! Happy Parents berhasil menukar <span class="text-blue">{{reward.items[0].point}} Happy Points</span> dengan <span class="text-blue">{{reward.name}}</span>. Untuk melihat status penukaran Happy Points, silakan cek Riwayat di Profil Happy Parents.</p>
                <a href="{{ url('<front>') }}profile" class="btn btn-block bg-white text-blue rounded-lg px-3">Lihat Status</a>
            </div>
        </div>
    </div>
</div>
<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
<script>
    $(function(){
        $("#reward_item_id").change(function() {
            var reward_item = $(this).val();
            var url = "{{ url('growhappy_mod.reward-item-detail') }}?id="+reward_item;
            $.ajax({
                 type: "GET",
                 url: url,
                 success: function(data)
                  {
                    data = JSON.parse(data);
                    $("#reward_code").html(data.code);
                    $("#reward_point").html(data.point);
                  }
              });
        });
    });
</script>